#### D.4.35.4 eigenvalues

Procedure from library `symodstd.lib` (see symodstd_lib).

Usage:
  eigenvalues(I,sigma); I ideal, sigma intvec

Assume:
  size(sigma) = nvars(basering) =: n

Return:
  list of eigenvalues of generators of I under permutation sigma

Note:
  sigma is a permutation of the variables of the basering, i.e. sigma: var(i) ----> var(sigma[i]), 1 <= i <= n.

Example:

    LIB "symodstd.lib";
    ring R = 11, x(1..5), dp;
    poly p1 = x(1)+x(2)+x(3)+x(4)+x(5);
    poly p2 = x(1)+4*x(2)+5*x(3)-2*x(4)+3*x(5);
    poly p3 = x(1)+5*x(2)+3*x(3)+4*x(4)-2*x(5);
    poly p4 = x(1)-2*x(2)+4*x(3)+3*x(4)+5*x(5);
    poly p5 = x(1)+3*x(2)-2*x(3)+5*x(4)+4*x(5);
    ideal I = p1,p2,p3,p4,p5;
    intvec tau = 2,3,4,5,1;
    eigenvalues(I,tau);
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    3
    ==> [3]:
    ==>    -2
    ==> [4]:
    ==>    5
    ==> [5]:
    ==>    4

User manual for Singular version 4.4.1, 2025, generated by texi2html.